# gennerator-react-ym
react移动端脚手架

####ChangeLog
* 1.1.0 线上静态服务配置
* 1.0.7 组件优化
* 1.0.6 冗余代码剔除
* 1.0.5 工程启动bug修复
* 1.0.4 代码目录修改

####Install
```
sudo npm install yo -g
npm install generator-react-ym
```
####How to use
* 安装脚手架
```
mkdir webapp && cd webapp
yo react-ym
npm install
npm start 启动服务
npm run build 打包编译
```
####How to dev
* 开发工程架构
* Router
```
import React from 'react';
import {Route} from 'react-router';
<Route
    path='news/:catId'
    getComponent={(location, callback) => {
        require.ensure([], function(require) {
            callback(null, require('./containers/News').default);
        }, 'news');
    }}
/>
```
* Store
```
import {createStore, applyMiddleware, compose} from 'redux';
import thunk from 'redux-thunk';
const configureStore = preloadedState => {
  const store = createStore(
    rootReducer,
    preloadedState,
    compose(
      applyMiddleware(thunk),
      autoRehydrate()
    )
  );
  persistStore(store, {storage: LocalStorage});
  return store;
};
```
* Actions
```
export const REQUEST_NEWS_RECOMMEND = 'REQUEST_NEWS_RECOMMEND';
export function requestNewsRecommend(code) {
    return {
        type: REQUEST_NEWS_RECOMMEND,
        code
    };
};
```
* Container
```
class News extends Component {
    componentWillMount() {
        let {dispatch} = this.props;
        dispatch(fetchNewsRecommend());
    };
    render() {
        const {items, isFetching} = this.props;
        return (
            <div>
                <NewsList items={items} isFetching={isFetching} />
            </div>
        );
    };
};
```