/**
 * 同步-异步Action常量
 * @markliao
 */
import INTERFACE from '../config/interface';
import {HttpFetch} from '../lib/fetch';

export const REQUEST_NEWS_RECOMMEND = 'REQUEST_NEWS_RECOMMEND';
export const RECEIVE_NEWS_RECOMMEND = 'RECEIVE_NEWS_RECOMMEND';

export function requestNewsRecommend(code) {
    return {
        type: REQUEST_NEWS_RECOMMEND,
        code
    };
};

export function receiveNewsRecommend(code, json) {
    return {
        type: RECEIVE_NEWS_RECOMMEND,
        code,
        posts: json
    };
};

export function fetchNewsRecommend(code) {
    let newsCode = code || 'index';
    let FetchInit = new HttpFetch(INTERFACE.URL.postNewsRecommend, `catCode=${newsCode}&clientVer=1.4.0`);
    let InterfaceInit = FetchInit.fetch();
    return dispatch => {
        dispatch(requestNewsRecommend(code));
        return fetch(InterfaceInit.myRequest, InterfaceInit.myInit)
            .then(response => response.json())
            .then(json => dispatch(receiveNewsRecommend(code, json)));
    };
};
