/**
 * 子频道组件
 * @markliao
 */
import React, {Component} from 'react';
import {Link, IndexLink} from 'react-router';
import configSectionBar from '../../config/sectionBar';
import '../styles/sectionBar.scss';

export default class SectionBar extends Component {
    constructor(props) {
        super(props);
        this.state = {
            menuCode: this.props.menuCode
        };
    };

    componentDidMount() {
        const control = navigator.control || {};
        if (control.gesture) {
            control.gesture(false);
            console.log('UC');
        }
        this.setState({
            menuCode: this.props.menuCode
        });
    };

    componentWillReceiveProps(nextProps) {
        if (this.props.menuCode !== nextProps.menuCode) {
            console.log('MenuCode change from ' + this.props.menuCode, 'To ' + nextProps.menuCode);
            this.setState({
                menuCode: nextProps.menuCode
            });
        }
    };

    render() {
        return (
            <nav className="sectionBar">
                <NavList menuCode={this.state.menuCode} />
            </nav>
        );
    };
};

function NavList(props) {
    switch (props.menuCode) {
        case 'news':
            return (
                <div className={props.menuCode}>
                    <ul>
                        <li key={configSectionBar.sectionBar[0].code}><IndexLink
                            to={{
                                pathname: `${configSectionBar.sectionBar[0].code}`
                                /*query: { catId: sectionBar.code }*/
                            }}
                            activeClassName="activedSectionBar">{configSectionBar.sectionBar[0].name}
                        </IndexLink></li>
                        {(configSectionBar.sectionBar.slice(1)).map(sectionBar => (
                            <li key={sectionBar.code}><Link
                                to={{
                                    pathname: `${sectionBar.code}`
                                    /*query: { catId: sectionBar.code }*/
                                }}
                                activeClassName="activedSectionBar">{sectionBar.name}
                            </Link></li>
                        ))}
                    </ul>
                </div>
            );
        case '':
            return (
                <div className={props.menuCode}>
                    <ul>
                        <li key={configSectionBar.sectionBar[0].code}><IndexLink
                            to={{
                                pathname: `${configSectionBar.sectionBar[0].code}`
                                /*query: { catId: sectionBar.code }*/
                            }}
                            activeClassName="activedSectionBar">{configSectionBar.sectionBar[0].name}
                        </IndexLink></li>
                        {(configSectionBar.sectionBar.slice(1)).map(sectionBar => (
                            <li key={sectionBar.code}><Link
                                to={{
                                    pathname: `${sectionBar.code}`
                                    /*query: { catId: sectionBar.code }*/
                                }}
                                activeClassName="activedSectionBar">{sectionBar.name}
                            </Link></li>
                        ))}
                    </ul>
                </div>
            );
        default:
            return null;
    }
};