/**
 * 推荐新闻列表组件
 * @markliao
 */
import React, {Component} from 'react';
import Loading from '../common/Loading';
import TodayFocus from './TodayFocus';
import SuggestCollection from './SuggestCollection';
import SuggestLarger from './SuggestLarger';
import SuggestSmaller from './SuggestSmaller';

export default class NewsList extends Component {
    constructor(props) {
        super(props);
        this.suggestSwitchStyle = this.suggestSwitchStyle.bind(this);
    };

    suggestSwitchStyle(data, index) {
        if (data.newsArray) {
            return <SuggestCollection newsArray={data} key={`newsArray${data.id}${index}`} />;
        } else if (data.newsImageUrl.match('txtlong')) {
            return <SuggestLarger txtlong={data} key={`txtlong${data.id}${index}`} />;
        } else {
            return <SuggestSmaller txttiny={data} key={`txttiny${data.id}${index}`} />;
        }
    };

    render() {
        const {items, catId, isFetching} = this.props;
        return (
            <div>
                {isFetching?<Loading />:null}
                {(items&&items.today&&catId==='cj')?<TodayFocus today={items.today[0]} />:null}
                {items?(items.suggest).map((item, i) => this.suggestSwitchStyle(item, i)):null}
            </div>
        );
    };
};