/**
 * 话题集合组件
 * @markliao
 */
import React, {Component} from 'react';
import {Link} from 'react-router';
import '../styles/suggestCollection.scss';

export default class SuggestCollection extends Component {
    render() {
        const {newsArray} = this.props;
        return (
            <Link
                to={{
                    pathname: `/topic/${newsArray.id}`
                }}>
                <section className="suggestCollection">
                    <div className="suggestHeader">
                        <em>话题</em>
                        <h4>{newsArray.subject}</h4>
                        <img src={require('../img/arrow_suggest@3x.png')} alt=""/>
                    </div>
                    <div className="suggestContent">
                        {(newsArray.newsArray).map((newsArray, i) => (
                            <figure className="suggestScroller" key={`suggestCollection${newsArray.id}${i}`}>
                                <img src={newsArray.newsImageUrl} onError={(e) => {e.target.src=require('../img/bg_error.png')}} alt={newsArray.subject} />
                                <div className="suggestItem">
                                    <figcaption>{newsArray.subject}<time></time></figcaption>
                                </div>
                            </figure>
                        ))}
                    </div>
                </section>
            </Link>
        );
    };
};