/**
 * 推荐新闻列表数据-状态树数据同步
 * @markliao
 */
import React, {Component, PropTypes} from 'react';
import {connect} from 'react-redux';
import {fetchNewsRecommend} from '../actions/actionTypes';
import NavigationBar from '../components/common/NavigationBar';
import NewsList from '../components/news/NewsList';

class News extends Component {
    static propTypes = {
        children: PropTypes.node
    };

    constructor(props) {
        super(props);
        this.state = {
            catId: this.props.params.catId,
            pathSwitch: this.props.location.pathname.split('/')[1]
        };
    };

    componentWillMount() {
        let {dispatch} = this.props;
        dispatch(fetchNewsRecommend(this.state.catId));
    };

    componentWillReceiveProps(nextProps) {
        if (this.props.params.catId !== nextProps.params.catId) {
            let {dispatch} = this.props;
            dispatch(fetchNewsRecommend(nextProps.params.catId));
            this.setState({
                catId: nextProps.params.catId,
                pathSwitch: nextProps.location.pathname.split('/')[1]
            });
        }
    };

    render() {
        const {children, items, isFetching} = this.props;
        return (
            <div>
                <NavigationBar menuCode={this.state.pathSwitch} />
                {items?<NewsList items={items.resultBody} isFetching={isFetching} catId={this.state.catId} />:null}
                {children}
            </div>
        );
    };
};

const mapStateToProps = (state, ownProps) => {
    return {
        isFetching: state.postNewsRecommend.isFetching,
        items: state.postNewsRecommend.items
    };
};

export default connect(mapStateToProps)(News);