/**
 * Promise请求添加
 * @constructor HttpFetch
 */
export class HttpFetch {
    constructor(url, body, method, contentType) {
        this.url = url;
        this.body = body;
        this.method = method;
        this.contentType = contentType;
    };

    fetch() {
        let myInit = {
            method: this.method || 'POST',
            headers: {
                'Content-Type': this.contentType || 'application/x-www-form-urlencoded'
            },
            mode: 'no-cors',
            cache: 'default',
            body: this.body
        };
        const myRequest = new Request(this.url, myInit);
        return {myInit, myRequest}
    };

    xml(callback) {
        let xhr = new XMLHttpRequest();
        xhr.onreadystatechange = () => {
            if(xhr.readyState === 4){
                if (xhr.status === 200) {
                    callback(xhr.responseText);
                } else {
                    console.log(xhr.status);
                }
            }
        };
        xhr.open(this.method || 'POST', this.url, true);
        xhr.setRequestHeader('Content-Type', this.contentType || 'application/x-www-form-urlencoded');
        xhr.send(this.body);
    };
};