/**
 * 发布Store模块
 * @markliao
 */
import {createStore, applyMiddleware} from 'redux';
import thunk from 'redux-thunk';
import rootReducer from '../reducers';
import {persistStore, autoRehydrate} from 'redux-persist';
import {LocalStorage} from 'redux-persist/storages';

const configureStore = preloadedState => {
    const store = createStore(
        rootReducer,
        preloadedState,
        applyMiddleware(thunk)
    );
    persistStore(store, {storage: LocalStorage});
    return store;
};

export default configureStore;